STRUCT TEMP(3)

NAME
boost::proto::shift_right_assign - A metafunction for generating right-shift-assign expression types, a grammar element for matching right-shift-assign expressions, and a PrimitiveTransform that dispatches to the proto::pass_through<> transform.

SYNOPSIS

// In header: <boost/proto/traits.hpp>
template<typename T, typename U>
struct shift_right_assign :  proto::transform< shift_right_assign<T, U> > {
  // types
  typedef proto::expr< proto::tag::shift_right_assign, proto::list2< T, U > >       type;
  typedef proto::basic_expr< proto::tag::shift_right_assign, proto::list2< T, U > > proto_grammar;
  // member classes/structs/unions
  template<typename Expr, typename State, typename Data>
  struct impl :  proto::pass_through<shift_right_assign>::template impl<Expr, State, Data>
  {
  };
};

DESCRIPTION